Latest build has error in Linux deb package !   [SOLVED] - View the solution

This forum is fully dedicated to Panotour / Panotour Pro bug reports as well as feature discussion.
User avatar
vincen
Kolor Certified Trainer
 
Topic author
Posts: 963
Likes: 23 posts
Liked in: 4 posts
Joined: Fri Mar 13, 2009 11:30 am
Location: Grenoble, France
Info

Latest build has error in Linux deb package !

by vincen » Tue May 16, 2017 8:07 am

Hi

Tried to upgrade Panotour to latest build on Ubuntu 16.04.2 LTS and I got an error about a package missing in archive or something like that:
Code: Select all
root@Fixe-Ubuntu:/home/vincen/Bureau# dpkg -i PanotourPro_Linux64_257_2017-02-23.deb
(Lecture de la base de données... 431050 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de PanotourPro_Linux64_257_2017-02-23.deb ...
Dépaquetage de panotourpro (257) sur (253) ...
dpkg: erreur de traitement de l'archive PanotourPro_Linux64_257_2017-02-23.deb (--install) :
 impossible d'ouvrir « /usr/lib/PanotourPro/Resources/plugins_ja.qm.dpkg-new »: Aucun fichier ou dossier de ce type
Traitement des actions différées (« triggers ») pour shared-mime-info (1.5-2ubuntu0.1) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu5.1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-6ubuntu5.1~xenial) ...
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour mime-support (3.59ubuntu1) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 PanotourPro_Linux64_257_2017-02-23.deb
root@Fixe-Ubuntu:/home/vincen/Bureau#


Vincèn
Blog: http://www.skivr.com
Nodal Ninja 4 R-D16 on Benro Tripod + Ultimate R1 on Nodal Ninja P2 + Nikon D800 + Nikkor 10.5 + Nikkor 14/24 f/2.8 +Pentax 645D

User avatar
bdd
Kolor Team
 
Posts: 2413
Likes: 11 posts
Liked in: 96 posts
Joined: Tue Jan 18, 2011 4:05 pm
Info

Re: Latest build has error in Linux deb package !

by bdd » Tue May 16, 2017 12:45 pm

Vincen,

Did you try the tar.gz version ?
Did it work ?

Gérald

User avatar
vincen
Kolor Certified Trainer
 
Topic author
Posts: 963
Likes: 23 posts
Liked in: 4 posts
Joined: Fri Mar 13, 2009 11:30 am
Location: Grenoble, France
Info

Re: Latest build has error in Linux deb package !

by vincen » Tue May 16, 2017 12:58 pm

bdd wrote:Did you try the tar.gz version ?
Did it work ?

Just tried it Gérald and it works but pain in the *** to install correctly when you use the deb package version :( where can I download just the previous release in deb ? so I can update to that one if it doesn't have the issue ;)
Blog: http://www.skivr.com
Nodal Ninja 4 R-D16 on Benro Tripod + Ultimate R1 on Nodal Ninja P2 + Nikon D800 + Nikkor 10.5 + Nikkor 14/24 f/2.8 +Pentax 645D

User avatar
Annis
Kolor Team
 
Posts: 6063
Likes: 801 posts
Liked in: 440 posts
Joined: Mon Aug 12, 2013 12:47 pm
Location: France
Info

Re: Latest build has error in Linux deb package !

by Annis » Tue May 16, 2017 12:59 pm

You can download all previous versions from this page: http://www.kolor.com/download-previous-versions/

User avatar
vincen
Kolor Certified Trainer
 
Topic author
Posts: 963
Likes: 23 posts
Liked in: 4 posts
Joined: Fri Mar 13, 2009 11:30 am
Location: Grenoble, France
Info

Re: Latest build has error in Linux deb package !

by vincen » Tue May 16, 2017 1:17 pm

Annis wrote:You can download all previous versions from this page: http://www.kolor.com/download-previous-versions/

Great idea that page ;) so I made multiple tries and the latest build I can install is 2.5.5 All next ones fail with same error as the most recent update :(
Blog: http://www.skivr.com
Nodal Ninja 4 R-D16 on Benro Tripod + Ultimate R1 on Nodal Ninja P2 + Nikon D800 + Nikkor 10.5 + Nikkor 14/24 f/2.8 +Pentax 645D

User avatar
360-compunics-com-ni
Member
 
Posts: 338
Likes: 14 posts
Liked in: 147 posts
Joined: Wed Dec 17, 2014 12:37 am
Location: León, Nicaragua
Info

Re: Latest build has error in Linux deb package !  [SOLVED]

by 360-compunics-com-ni » Tue May 16, 2017 11:45 pm

You can install the latest version if you first remove the existing package:
(http://www.kolor.com/forum/viewtopic.php?f=92&t=35304#p195792)
Out now: DeviceCheck for PTP plugins! https://www.kolor.com/forum/viewtopic.php?f=40&t=37446

Want to know how clients use your tours? Google Analytics Track Events plugin: http://www.kolor.com/forum/viewtopic.php?f=40&t=34442

Add actions to your hotspots: Hotspot Actionlist plugin: http://www.kolor.com/forum/viewtopic.php?f=40&t=35829

vincen likes this post.


Who is online

Users browsing this forum: No registered users and 3 guests